clang 8.0.0

Public Member Functions | List of all members
clang::CodeCompletionAllocator Class Reference

An allocator used specifically for the purpose of code completion. More...

`#include "clang/Sema/CodeCompleteConsumer.h"`

Inheritance diagram for clang::CodeCompletionAllocator:
[legend]
Collaboration diagram for clang::CodeCompletionAllocator:
[legend]

## Public Member Functions
const char * | CopyString (const Twine &String)
| Copy the given string into this allocator. More...

## Detailed Description

An allocator used specifically for the purpose of code completion.

Definition at line 627 of file CodeCompleteConsumer.h.

## Member Function Documentation

## ◆ CopyString()

const char * CodeCompletionAllocator::CopyString | ( | const Twine & | String | ) |

Copy the given string into this allocator.

Definition at line 346 of file CodeCompleteConsumer.cpp.

Referenced by AddFunctionParameterChunks(), AddFunctionTypeQualsToCompletionString(), clang::CodeCompletionResult::createCodeCompletionStringForDecl(), clang::CodeCompletionResult::CreateCodeCompletionStringForMacro(), and clang::CodeCompletionResult::createCodeCompletionStringForOverride().

The documentation for this class was generated from the following files:

- include/clang/Sema/CodeCompleteConsumer.h
- lib/Sema/CodeCompleteConsumer.cpp